<?php

require_once ('connect.php');

mysql_query("TRUNCATE TABLE `".$prefix."ip`");
mysql_query("TRUNCATE TABLE `ip`");

 //переменная содержащая время обновления базы 
 $GLOBALS['last_mod']=''; 

 //открываем сеанс curl 
 $ch = curl_init('http://www.logofon.ru/xml/ips.xml');
 curl_setopt($ch, CURLOPT_USERAGENT, 'Opera'); 
 curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);  

 //функция обратного вызова, которая будет проверять заголовки 
 curl_setopt($ch, CURLOPT_HEADERFUNCTION, 'curlHeaderCallback'); 

 //получение данных 
 $xml_data = curl_exec($ch); 
 //закрываем curl 
 curl_close($ch); 

 //функция обратного вызова, ищет Last-Modified 
 function curlHeaderCallback($ch, $header){ 
 //чекаем Last-Modified 
 $s = explode(': ', $header, 2); 
 if($s[0] == 'Last-Modified'){$GLOBALS['last_mod'] = trim($s[1]);} 

 return strlen($header); 
 } 

 /*
 echo strtotime($GLOBALS['last_mod']); 
 */ 

 $xml=simplexml_load_string($xml_data); 

 foreach($xml->operator as $opsos){ 
 foreach($opsos->range as $ipp){
 $ip1=preg_replace('#[^0-9]#','',$ipp['ip1']);
 $ip2=preg_replace('#[^0-9]#','',$ipp['ip2']);
 $id=$opsos['id'];
 
mysql_query("INSERT INTO `".$prefix."ip` (`min`,`max`,`on`) VALUES ('$ip1','$ip2','$id')");
mysql_query("INSERT INTO `ip` (`min`,`max`,`on`) VALUES ('$ip1','$ip2','1')");
}
}
 ?>